:root {
  --black: black;
  --white: white;
}
::selection {
  background: #000;
  color: #fff;
}
html,
body {
    height: 100%;
}
body {
    margin: 0;
    font-family: system-ui, 'Helvetica Neue', 'Arial', sans-serif;
    font-size: 1em;
    line-height: 1.4;
    background-image: linear-gradient(to right, var(--black) 49.8%, var(--white) 49.8%);
}
h1{
    position: absolute;
    top: 50%;
    width: 100%;
    margin-top: -0.7em;
    margin-bottom: 0;
    color: var(--white);
    font-size: 5em;
    letter-spacing: -0.01em;
    text-align: center;
    cursor: default;
    transition: font-size 0.2s ease-out;
}
h1>span{
    margin-right: 40px;
    color: var(--black);
}
a {
    position: absolute;
    bottom: 20px;
    left: 26px;
    color: var(--white);
    opacity: 0.5;
    font-size: 0.9em;
    text-decoration: none;
}
@media (max-width: 480px) {
    h1 {
        margin-top: -37px;
        font-size: 4em;
    }
    h1 > span {
        margin-right: 28px;
    }
}
@media (prefers-color-scheme: dark) {
    :root {
        --black: white;
        --white: black;
    }
    body {
        background-image: linear-gradient(to right, var(--black) 49.8%, var(--white) 49.8%);
    }
}